body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    background-color: #3a046a;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
}

.info {
    display: flex;
    gap: 10px;
}

.info span {
    font-weight: bold;
}

.deadline {
    text-align: center;
    padding: 10px 0;
    font-weight: bold;
}

.squads {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;

    justify-content: space-between;
}

.squad {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 10px;
    max-width: 600px;
}

.position {
    width: 150px;
    background: linear-gradient(45deg, #3a046a, #973eff);
    border: 1px solid #ddd;
    padding: 15px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    height: 180px;
    box-sizing: border-box;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin: 10px;
}


.position button {
    background-color: #eee;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
}

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid #ddd;
    padding-top: 10px;
}

.player-actions {
    display: flex;
    justify-content: space-around;
    margin-top: 10px;
}


.main-button {
    color: #451e71;
    padding: 8px 16px;
    border: #973eff;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    transition: background-color 0.3s ease;
}

.main-button:hover {
    background-color: #fff;
}

main{
    /* background: linear-gradient(45deg, #2b2338, #8a42dc); */
}